<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TIPregelGraphLibrary: directed_graph&lt; CVertex &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIPregelGraphLibrary
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search", false, 'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classdirected__graph-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">directed_graph&lt; CVertex &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:ac54d2bf82e581678a164985440fcc0fc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac54d2bf82e581678a164985440fcc0fc"></a>
typedef <a class="el" href="structgraph__traits.html">graph_traits</a>&lt; CVertex &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>trait_type</b></td></tr>
<tr class="separator:ac54d2bf82e581678a164985440fcc0fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e6a39e3d79bb7ca440ac324a7467534"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5e6a39e3d79bb7ca440ac324a7467534"></a>
typedef trait_type::ID_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>ID_TYPE</b></td></tr>
<tr class="separator:a5e6a39e3d79bb7ca440ac324a7467534"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5726790d0088084c90ab3f0c3fcd7cf5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5726790d0088084c90ab3f0c3fcd7cf5"></a>
typedef trait_type::EDGE_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>EDGE_TYPE</b></td></tr>
<tr class="separator:a5726790d0088084c90ab3f0c3fcd7cf5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af706de343c09800a5c29f8206d97d8d5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af706de343c09800a5c29f8206d97d8d5"></a>
typedef trait_type::FAST_LIST_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>VERTEX_LIST_TYPE</b></td></tr>
<tr class="separator:af706de343c09800a5c29f8206d97d8d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08c0bbdd11e0f02fba8be1804339fc0d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a08c0bbdd11e0f02fba8be1804339fc0d"></a>
typedef <br class="typebreak" />
trait_type::FAST_VERTEX_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><b>VERTEX_ITERATOR</b></td></tr>
<tr class="separator:a08c0bbdd11e0f02fba8be1804339fc0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a967d6e75a486d27b4bab9a81d492ad25"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a967d6e75a486d27b4bab9a81d492ad25"></a>
typedef CVertex&#160;</td><td class="memItemRight" valign="bottom"><b>VERTEX_TYPE</b></td></tr>
<tr class="separator:a967d6e75a486d27b4bab9a81d492ad25"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1bd8b6f2b3a158f6e9155f5cc15a7ebf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1bd8b6f2b3a158f6e9155f5cc15a7ebf"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>directed_graph</b> (VERTEX_LIST_TYPE &amp;init_adj_list)</td></tr>
<tr class="separator:a1bd8b6f2b3a158f6e9155f5cc15a7ebf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1635ab405da45b9b581eda6a3c876cf6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1635ab405da45b9b581eda6a3c876cf6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>create_vertices</b> (ID_TYPE numVertices)</td></tr>
<tr class="separator:a1635ab405da45b9b581eda6a3c876cf6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb706335f34c64eb04c69d7afb87f79a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afb706335f34c64eb04c69d7afb87f79a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add_vertex</b> (CVertex &amp;x)</td></tr>
<tr class="separator:afb706335f34c64eb04c69d7afb87f79a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44bbcf8a874b9195afe7bf7fdac016b3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a44bbcf8a874b9195afe7bf7fdac016b3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>remove_vertex</b> (ID_TYPE &amp;id)</td></tr>
<tr class="separator:a44bbcf8a874b9195afe7bf7fdac016b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94d6929e382c32dbc7b1c19c9efecf6e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a94d6929e382c32dbc7b1c19c9efecf6e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add_edge</b> (EDGE_TYPE &amp;edge)</td></tr>
<tr class="separator:a94d6929e382c32dbc7b1c19c9efecf6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42563a9b45cfc0a8e2450bacb6290f88"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a42563a9b45cfc0a8e2450bacb6290f88"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add_edge</b> (ID_TYPE src, ID_TYPE target)</td></tr>
<tr class="separator:a42563a9b45cfc0a8e2450bacb6290f88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f654b0f74f45155423edf27f79f5f39"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4f654b0f74f45155423edf27f79f5f39"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>remove_edge</b> (EDGE_TYPE &amp;edge)</td></tr>
<tr class="separator:a4f654b0f74f45155423edf27f79f5f39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab004667b685aa01f87f53af458d78f5e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab004667b685aa01f87f53af458d78f5e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>remove_edge</b> (ID_TYPE &amp;src, ID_TYPE &amp;target)</td></tr>
<tr class="separator:ab004667b685aa01f87f53af458d78f5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3603eeaaf78eb2dacb00263d06a5ca58"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3603eeaaf78eb2dacb00263d06a5ca58"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>add_vertex_consistent</b> (CVertex &amp;x)</td></tr>
<tr class="separator:a3603eeaaf78eb2dacb00263d06a5ca58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0b63555f62ad585827eaa9ed3e3b9ff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af0b63555f62ad585827eaa9ed3e3b9ff"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>remove_vertex_consistent</b> (ID_TYPE &amp;id)</td></tr>
<tr class="separator:af0b63555f62ad585827eaa9ed3e3b9ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a556f126bda82b57d20fb6cc8c66b1620"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a556f126bda82b57d20fb6cc8c66b1620"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>add_edge_consistent</b> (EDGE_TYPE &amp;edge)</td></tr>
<tr class="separator:a556f126bda82b57d20fb6cc8c66b1620"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa026ddd50dfb9648063111954dd3410d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa026ddd50dfb9648063111954dd3410d"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>remove_edge_consistent</b> (EDGE_TYPE &amp;edge)</td></tr>
<tr class="separator:aa026ddd50dfb9648063111954dd3410d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5889f56b81a51201e67e4a5b91fde08"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae5889f56b81a51201e67e4a5b91fde08"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>remove_edge_consistent</b> (ID_TYPE &amp;src, ID_TYPE &amp;target)</td></tr>
<tr class="separator:ae5889f56b81a51201e67e4a5b91fde08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d44c0298c61bfa0e718343df10d0db7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7d44c0298c61bfa0e718343df10d0db7"></a>
ID_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_vertices</b> ()</td></tr>
<tr class="separator:a7d44c0298c61bfa0e718343df10d0db7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa387b97b75e828a2992d5b343eafa29"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afa387b97b75e828a2992d5b343eafa29"></a>
ID_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_edges</b> ()</td></tr>
<tr class="separator:afa387b97b75e828a2992d5b343eafa29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28dd1ca3bb368649fa3743822cfab642"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a28dd1ca3bb368649fa3743822cfab642"></a>
VERTEX_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><b>begin</b> ()</td></tr>
<tr class="separator:a28dd1ca3bb368649fa3743822cfab642"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62c48cec527c3cc6837f575f8e277f62"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a62c48cec527c3cc6837f575f8e277f62"></a>
VERTEX_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><b>end</b> ()</td></tr>
<tr class="separator:a62c48cec527c3cc6837f575f8e277f62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addfff4b1011d11095c2d1e4b334c7653"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="addfff4b1011d11095c2d1e4b334c7653"></a>
VERTEX_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><b>get_veretex</b> (ID_TYPE &amp;id)</td></tr>
<tr class="separator:addfff4b1011d11095c2d1e4b334c7653"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb3453c149d4752e527af112f01f0828"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afb3453c149d4752e527af112f01f0828"></a>
VERTEX_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><b>get_indexed_veretex</b> (ID_TYPE index)</td></tr>
<tr class="separator:afb3453c149d4752e527af112f01f0828"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77d3d3ba2fb1f56aa6ede83e922da8f4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a77d3d3ba2fb1f56aa6ede83e922da8f4"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_connected</b> (ID_TYPE &amp;src, ID_TYPE &amp;target)</td></tr>
<tr class="separator:a77d3d3ba2fb1f56aa6ede83e922da8f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3769221525fead0fafe2edfdb972abe5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3769221525fead0fafe2edfdb972abe5"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>init</b> ()</td></tr>
<tr class="separator:a3769221525fead0fafe2edfdb972abe5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7d37ea5ed4275404002fc9eed3e3cb6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac7d37ea5ed4275404002fc9eed3e3cb6"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_directed</b> ()</td></tr>
<tr class="separator:ac7d37ea5ed4275404002fc9eed3e3cb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a303bd7178513767459080c9f9f350b10"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a303bd7178513767459080c9f9f350b10"></a>
VERTEX_LIST_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>verticesList</b></td></tr>
<tr class="separator:a303bd7178513767459080c9f9f350b10"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/standard/modules/data_structures/base/<a class="el" href="graph__seq_8hpp_source.html">graph_seq.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 26 2014 15:59:02 for TIPregelGraphLibrary by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
